Cambrionix connect
Developers
Hardware API

Hardware Families

Retrieve, add and remove Hardware Family records associated with a line of Hardware.

Get all hardware families

GET

/hardware/v1/hardware-families

Get all hardware families.

Requires a bearer access token for this API. See Authentication.

Parameters

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultHardwareFamily[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/hardware-families" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Create a hardware family

POST

/hardware/v1/hardware-families

Create a hardware family.

Requires a bearer access token for this API with the Global.Hardware.Write permission. See Authentication.

Request body

object
descriptionstring
imagesobject[]
manufacturerobject
metadatamap of any
namestringrequired
releasedobject
typestringrequired

The type of device e.g mobile, storage, other

One of: "mobile", "tablet", "storage", "other"

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/hardware/v1/hardware-families" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "description": "string",
  "images": [
    {
      "description": "string",
      "url": "https://example.com"
    }
  ],
  "manufacturer": {
    "name": "string"
  },
  "name": "string",
  "released": {
    "time": 0
  },
  "type": "mobile"
}'

Get a hardware family by id

GET

/hardware/v1/hardware-families/{hardwareFamilyId}

Get a hardware family by id.

Requires a bearer access token for this API. See Authentication.

Parameters

hardwareFamilyIdstringpathrequired

Path parameter

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/hardware-families/{hardwareFamilyId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Patch a hardware family by id

PATCH

/hardware/v1/hardware-families/{hardwareFamilyId}

Patch a hardware family by id.

Requires a bearer access token for this API with the Global.Hardware.Write permission. See Authentication.

Parameters

hardwareFamilyIdstringpathrequired

Path parameter

Request body

object
descriptionstring
idstring
imagesobject[]
manufacturerobject
metadatamap of any
namestring
releasedobject
typestring

The type of device e.g mobile, storage, other

One of: "mobile", "tablet", "storage", "other"

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X PATCH "https://connect.cambrionix.com/api/hardware/v1/hardware-families/{hardwareFamilyId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "description": "string",
  "id": "string",
  "images": [
    {
      "description": "string",
      "url": "https://example.com"
    }
  ],
  "manufacturer": {
    "name": "string"
  },
  "name": "string",
  "released": {
    "time": 0
  },
  "type": "mobile"
}'

Delete a hardware family by id

DELETE

/hardware/v1/hardware-families/{hardwareFamilyId}

Delete a hardware family by id.

Requires a bearer access token for this API with the Global.Hardware.Write permission. See Authentication.

Parameters

hardwareFamilyIdstringpathrequired

Path parameter

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X DELETE "https://connect.cambrionix.com/api/hardware/v1/hardware-families/{hardwareFamilyId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"